Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F159960864
D52464.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
793 B
Referenced Files
None
Subscribers
None
D52464.diff
View Options
diff --git a/usr.sbin/adduser/rmuser.sh b/usr.sbin/adduser/rmuser.sh
--- a/usr.sbin/adduser/rmuser.sh
+++ b/usr.sbin/adduser/rmuser.sh
@@ -303,7 +303,7 @@
show_usage
exit 1
else
- echo -n "Please enter one or more usernames: "
+ echo -n "Please enter one or more usernames, or press enter to exit: "
read userlist
fi
fi
@@ -333,11 +333,11 @@
echo
echo $userrec
echo
- if ! prompt_yesno "Is this the entry you wish to remove? " ; then
+ if ! prompt_yesno "Is this the entry you wish to remove? (yes/no): " ; then
continue
fi
_homedir=`echo $userrec | awk -F: '{print $9}'`
- if prompt_yesno "Remove user's home directory ($_homedir)? "; then
+ if prompt_yesno "Remove user's home directory? [$_homedir] (yes/no): "; then
pw_rswitch="-r"
fi
else
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sat, Jun 20, 11:17 PM (29 m, 56 s)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
34132417
Default Alt Text
D52464.diff (793 B)
Attached To
Mode
D52464: rmuser.sh: Improve prompt consistency with adduser
Attached
Detach File
Event Timeline
Log In to Comment